Subject: Re: [PATCH]Enabling Auto poweron after power is restored.

From: Segher Boessenkool <[email-masked]>
Date: Tue, 9 Jan 2007 15:21:32 +0100

>> During power outages, the ups notifies the system for a shutdown. In 
>> the
>> current setup, it isn't possible to power on when power is restored.
>> This patch fixes the issue by calling the right ibm,power-off-ups 
>> token
>> during such events. It also adds a proc interface so that rc.powerfail
>> can parse the epow events and modify the power-off behavior 
>> accordingly
>> to enable the right token to be called.
>
> Creating new non-process-related files in /proc is frowned upon these
> days, so we'll have to find somewhere in /sys for this.  Anybody got a
> suggestion?

/sys doesn't sound too good either; it sounds like what
Manish really wants is a character device?  I could be
way off though, not looking at the actual patch :-)

Segher